For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chain

Blockchain data and statistics

Get chain statistics

get
/api/chain/stats

Retrieve current blockchain statistics including height, validators, etc.

Responses
200

Chain statistics

application/json
errorstringOptionalExample: ok
get/api/chain/stats
GET /api/chain/stats HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Chain statistics

{
  "error": "ok",
  "stats": {
    "height": 1,
    "validators": 1,
    "epoch": 1
  }
}

Get latest entry (tip)

get
/api/chain/tip

Retrieve the most recent blockchain entry

Responses
200

Latest entry

application/json
objectOptional
get/api/chain/tip
GET /api/chain/tip HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Latest entry

{}

Get entry by hash

get
/api/chain/hash/{hash}

Retrieve a blockchain entry by its hash

Path parameters
hashstringRequired

Entry hash (Base58 encoded)

Query parameters
filter_on_functionstringOptional

Filter transactions by contract function name

Responses
200

Entry data

application/json
objectOptional
get/api/chain/hash/{hash}
GET /api/chain/hash/{hash} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Entry data

{}

Get entry by height

get
/api/chain/height/{height}

Retrieve a blockchain entry by its height

Path parameters
heightintegerRequired

Block height

Responses
200

Entry data

application/json
objectOptional
get/api/chain/height/{height}
GET /api/chain/height/{height} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Entry data

{}

Get entry by height with full transactions

get
/api/chain/height_with_txs/{height}

Retrieve a blockchain entry by height including full transaction details

Path parameters
heightintegerRequired

Block height

Responses
200

Entry data with transactions

application/json
objectOptional
get/api/chain/height_with_txs/{height}
GET /api/chain/height_with_txs/{height} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Entry data with transactions

{}

Get transaction by ID

get
/api/chain/tx/{txid}

Retrieve a transaction by its ID

Path parameters
txidstringRequired

Transaction ID (Base58 encoded)

Responses
200

Transaction data

application/json
objectOptional
get/api/chain/tx/{txid}
GET /api/chain/tx/{txid} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Transaction data

{}

Get transaction events by account

get
/api/chain/tx_events_by_account/{account}

Retrieve transaction history for a specific account with pagination and filtering

Path parameters
accountstringRequired

Account address (Base58 encoded)

Query parameters
limitintegerOptional

Maximum number of transactions to return

Default: 100
offsetintegerOptional

Number of transactions to skip

Default: 0
sortstring · enumOptional

Sort order

Default: ascPossible values:
typestring · enumOptional

Filter by transaction type

Possible values:
cursorstringOptional

Pagination cursor (raw bytes)

cursor_b58stringOptional

Pagination cursor (Base58 encoded)

contractstringOptional

Filter by contract address (raw bytes)

contract_b58stringOptional

Filter by contract address (Base58 encoded)

functionstringOptional

Filter by contract function name

Responses
200

Transaction events

application/json
cursorstringOptional

Cursor for next page

txsobject[]Optional
get/api/chain/tx_events_by_account/{account}
GET /api/chain/tx_events_by_account/{account} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Transaction events

{
  "cursor": "text",
  "txs": [
    {}
  ]
}

Get transactions in entry

get
/api/chain/txs_in_entry/{entry_hash}

Retrieve all transactions contained in a specific entry

Path parameters
entry_hashstringRequired

Entry hash (Base58 encoded)

Responses
200

List of transactions

application/json
errorstringOptionalExample: ok
txsobject[]Optional
get/api/chain/txs_in_entry/{entry_hash}
GET /api/chain/txs_in_entry/{entry_hash} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

List of transactions

{
  "error": "ok",
  "txs": [
    {}
  ]
}

Last updated